<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC
    "-//W3C//DTD XHTML 1.1 plus MathML 2.0 plus SVG 1.1//EN"
    "http://www.w3.org/2002/04/xhtml-math-svg/xhtml-math-svg.dtd">
<html xmlns:svg='http://www.w3.org/2000/svg' xml:lang='en' xmlns='http://www.w3.org/1999/xhtml'>
<head><meta content='application/xhtml+xml;charset=utf-8' http-equiv='Content-type' /><title></title></head>
<body>
<h1 id='xdock'>xdock</h1>

<p><strong>xdock</strong> is a software that emulates the Window Maker docks, with the following differences:</p>

<ul>
<li><strong>runs in any window manager</strong></li>

<li><strong>client/server</strong> - it works in a client/server way, where a server sits in the right side of the screen, and the docks are clients that connect to that server;</li>

<li><strong>easy to program</strong> - programming the Window Maker docks was a hard job. But xdock provides a API that makes programming much easier!</li>
</ul>

<h1 id='installing'>Installing</h1>

<p>Simple basic UNIX program:</p>

<pre><code>$ ./configure
$ make
$ su
# make install
# ldconfig</code></pre>

<h1 id='running'>Running</h1>

<p><strong>xdock</strong> works as a client/server: the server is the main program, that sits on the right side of the screen, and the clients are the docks, that connect to the server.</p>

<p>To start a server, simply type:</p>

<pre><code>xdockserver &amp;</code></pre>

<p>this will put the server in background. If your window manager already has a taskbar, you might want to skip a few pixels, typing:</p>

<pre><code>xdockserver -y 32 &amp;</code></pre>

<p>Then, start a client, such as:</p>

<pre><code>xdmemory &amp;</code></pre>

<p>that will start a example dock and connect it to the server.</p>

<h1 id='programming_docks'>Programming docks</h1>

<p>Programming docks is very simple. You can follow the tutorial (<a href='http://xdock.sourceforge.net/tutorial.html'>http://xdock.sourceforge.net/tutorial.html</a>) and the API documentation is in (<a href='http://xdock.sourceforge.net/api.html'>http://xdock.sourceforge.net/api.html</a>).</p>
</body></html>
